package com.plannaplan.models;

import java.io.InputStream;

/**
 * Config data copntainer to keep tours dates and stream of dasta to import
 */
public class ConfigData {
    private TourData firstTour;
    private TourData secondTour;
    private InputStream filestream;

    /**
     * constructor
     * 
     * @param firstTour  date of first tours
     * @param secondTour date of second tours
     * @param filestream filestram with data to import
     */
    public ConfigData(TourData firstTour, TourData secondTour, InputStream filestream) {
        this.firstTour = firstTour;
        this.secondTour = secondTour;
        this.filestream = filestream;
    }

    /**
     * second tour getter
     * 
     * @return TourData second tour
     */
    public TourData getSecondTour() {
        return secondTour;
    }

    /**
     * first tour getter
     * 
     * @return TourData first tour
     */
    public TourData getFirstTour() {
        return firstTour;
    }

    /**
     * filestream getter
     * 
     * @return InputStream with data to import
     */
    public InputStream getFilestream() {
        return filestream;
    }

}
